use clap::Parser;
use tcpjunction::launch;
#[derive(Parser)]
#[command(version, about, long_about = None)]
#[command(propagate_version = true)]
struct Cli {
    bind_addr: String,
    upstream_addr: Vec<String>,
}

fn main() {
    let args = Cli::parse();

    let rt = tokio::runtime::Runtime::new().unwrap();
    rt.block_on(async {
        launch(args.bind_addr, args.upstream_addr).await
    });
}